# pqxx::basic_transaction Class Reference
[Transaction classes]

`#include <transaction.hxx>`

Inheritance diagram for pqxx::basic_transaction:

[legend]
List of all members.

## Protected Member Functions

| basic_transaction (connection_base &C, const PGSTD::string &IsolationLevel)

## Constructor & Destructor Documentation

pqxx::basic_transaction::basic_transaction | ( | connection_base & | C,
|  | const PGSTD::string & | IsolationLevel |
| ) |  |  | `[protected]`

The documentation for this class was generated from the following files:

- transaction.hxx
- transaction.cxx